Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# libXFCui/xfc/gtk/object.hh File Reference

A GtkObject C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <gtk/gtkobject.h>`
`#include <xfc/gtk/inline/object.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Object
    A GtkObject C++ wrapper class. More...

## Detailed Description

A GtkObject C++ wrapper interface.

Provides Object and ObjectImpl. Gtk::Object is the base class for all widgets, and for a few non-widget objects such as Adjustment. Gtk::ObjectImpl is the base for all extended widget implementation classes
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3